Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 213800 - dev-libs/libusb-0.1.12-r1 fails to build w/ libtool-2.2
Summary: dev-libs/libusb-0.1.12-r1 fails to build w/ libtool-2.2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libtool-2.2
  Show dependency tree
 
Reported: 2008-03-18 09:28 UTC by Alessandro Guido
Modified: 2008-04-20 11:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Guido 2008-03-18 09:28:36 UTC
*
 * ERROR: dev-libs/libusb-0.1.12-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_unpack
 *             environment, line 2554:  Called eautoreconf
 *             environment, line  852:  Called eaclocal
 *             environment, line  791:  Called autotools_run_tool 'src_unpack'
 *             environment, line  335:  Called die
 * The specific snippet of code:
sed: impossibile leggere /var/tmp/portage/dev-libs/libusb-0.1.12-r1/temp/environment: No such file or directory
 *  The die message:
 *   Failed Running aclocal !




/var/tmp/portage/dev-libs/libusb-0.1.12-r1/temp/aclocal-28442.out:
***** aclocal *****

configure.in:197: error: m4_require: circular dependency of AC_LANG_COMPILER(C++)
../../lib/autoconf/lang.m4:297: AC_LANG_COMPILER_REQUIRE is expanded from...
../../lib/autoconf/general.m4:2405: AC_LINK_IFELSE is expanded from...
/usr/share/aclocal/libtool.m4:1005: _LT_SYS_MODULE_PATH_AIX is expanded from...
/usr/share/aclocal/libtool.m4:5287: _LT_LANG_CXX_CONFIG is expanded from...
/usr/share/aclocal/libtool.m4:787: _LT_LANG is expanded from...
/usr/share/aclocal/libtool.m4:770: LT_LANG is expanded from...
../../lib/autoconf/c.m4:736: AC_LANG_COMPILER(C++) is expanded from...
../../lib/autoconf/lang.m4:297: AC_LANG_COMPILER_REQUIRE is expanded from...
../../lib/autoconf/general.m4:2359: AC_COMPILE_IFELSE is expanded from...
../../lib/m4sugar/m4sh.m4:516: AS_IF is expanded from...
../../lib/autoconf/general.m4:1898: AC_CACHE_VAL is expanded from...
../../lib/autoconf/general.m4:1911: AC_CACHE_CHECK is expanded from...
../../lib/autoconf/headers.m4:653: AC_HEADER_STDC is expanded from...
configure.in:197: the top level
autom4te-2.61: /usr/bin/m4 failed with exit status: 1
aclocal-1.10: autom4te failed with exit status: 1


Reproducible: Always

Steps to Reproduce:
Comment 1 Alessandro Guido 2008-03-18 09:29:17 UTC
emerge --info:
Portage 2.1.4.4 (default-linux/x86/2007.0/desktop, gcc-4.3.0, glibc-2.7-r1, 2.6.25-rc6-00014-gbde4f8f i686)
=================================================================
System uname: 2.6.25-rc6-00014-gbde4f8f i686 Intel(R) Pentium(R) M processor 1.86GHz
Timestamp of tree: Tue, 18 Mar 2008 07:30:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.5
dev-lang/python:     2.5.1-r5
sys-apps/baselayout: 2.0.0
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.7.9-r1, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2
virtual/os-headers:  2.6.24
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=pentium-m -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-pipe -O2 -march=pentium-m -fomit-frame-pointer -fvisibility-inlines-hidden"
DISTDIR="/var/portage/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner"
FEATURES="distlocks metadata-transfer nodoc noinfo parallel-fetch sfperms strict tmpfs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,--hash-style=gnu -Wl,--as-needed"
LINGUAS="it"
MAKEOPTS="--quiet -j2"
PKGDIR="/var/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/portage"
PORTDIR_OVERLAY="/var/portage/local/layman/openrc /var/portage/local/my-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acpi alsa bzip2 cdr cli dbus dvd dvdr dvdread emboss evo fam firefox fortran gif hal iconv isdnlog jpeg kde kdehiddenvisibility mad midi mikmod mmx mp3 mpeg mudflap nls nptl nptlonly ogg opengl pcre pdf png pppd qt3support quicktime reflection session spell spl sse sse2 ssl svg threads unicode vorbis win32codecs x86 xcomposite xinerama xml xorg xscreensaver xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" ELIBC="glibc" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" USERLAND="GNU" VIDEO_CARDS="nv nvidia"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 2 Rafał Mużyło 2008-03-18 19:01:57 UTC
As this looks similar to bug 212772, see if adding AC_LANG_CXX in configure.in fixes the problem (I think it should).
And before any of you start complaining: in eutils.eclass there's epunt_cxx() function that was used for older libtool, with 2.2 it will be no longer needed.
Comment 3 Alessandro Guido 2008-03-20 21:36:35 UTC
(In reply to comment #2)
> As this looks similar to bug 212772, see if adding AC_LANG_CXX in configure.in
> fixes the problem (I think it should).
> And before any of you start complaining: in eutils.eclass there's epunt_cxx()
> function that was used for older libtool, with 2.2 it will be no longer needed.
> 
I added the following line (taken from bug #212772) and put it before eautoreconf:
sed -i -e '/AC_PROG_CC/aAC_PROG_CXX'  "${S}"/configure.in

It merged fine, thank you very much!
Comment 4 SpanKY gentoo-dev 2008-04-20 11:34:23 UTC
fixed in cvs, cheers